import ProjectDescription
import ProjectDescriptionHelpers

let configurations: [Configuration] = []

func targets() -> [Target] {
  var targets: [Target] = []
  targets += Target.makeAppTargets(
    name: "LiveKitTuist",
    dependencies: [.LiveKitFeature],
    externals: []
  )
  
  targets += Target.makeFramework(
    target: .LiveKitFeature,
    targets: [],
    externals: [.LiveKit, .KeychainAccess, .SFSafeSymbols, .SwiftProtobuf])

  return targets
}

let project = Project(
  name: "LiveKitTuist",
  settings: .settings(
    base: [
      "DEBUG_INFORMATION_FORMAT": "dwarf-with-dsym",
      "SWIFT_VERSION": "5.5.0",
    ],
    defaultSettings: DefaultSettings.recommended
  ),
  targets: targets()
)
